Release 10.1A: OpenEdge Reporting:
Query/Results Administration and Development

> ## Standard export formats

> The `results.l` file contains several lines that define the standard export formats available for use in the export view of a query. Each line that defines an export format has the following syntax:

> Syntax
>     export[integer]= "code[|code]..."

> The `integer` argument is a unique integer value that identifies the export format definition. The integers used to identify export formats must be sequential. The `code` parameter followed by a value defines the export format. All codes specified for an export format must be enclosed within a single set of double quotes and must be separated using a vertical line ( | ). Table C–2 provides information about the different definitional codes for an export format.

> Table C–2: Definitional codes for export formats
> Code | Description
> --- | ---
> `1=` | Specifies an integer representing the ASCII value of a character to start each line of the export. If you want to specify more than one character, specify a comma-separated list of integers. There is no default character for this setting.
> `2=` | Specifies an integer representing the ASCII value of a character to end each line of the export. If you want to specify more than one character, specify a comma-separated list of integers. There is no default character for this setting.
> `3=` | Specifies an integer representing the ASCII value of a character to delimit each field of the export. If you want to specify more than one character, specify a comma-separated list of integers. There is no default character for this setting.
> `4=` | Specifies an integer representing the ASCII value of a character to separate each field in a line of the export. If you want to specify more than one character, specify a comma-separated list of integers. There is no default character for this setting.
> `b=` | Specifies the base date for a DIF export. The default value is the unknown value (?). If you do not specify a base date, then all dates are exported as character values.
> `d=` | Specifies the data types to delimit as fields using the characters specified with the “`3=`” code. Data type specifications are represented as integer values. 1 CHARACTER 2 DATE 3 LOGICAL 4 INTEGER 5 DECIMAL 6 RAW 7 RECID Do not separate data type integers with commas or spaces. For example,`d=123` specifies the CHARACTER, DATE, and LOGICAL data types. The default value is an asterisk (*), representing all data types.
> `f=` | Specifies “y” for a fixed width export. The default value is “n” for a variable-width export.
> `h=` | Specifies “y” to include field headers in the export. The default value is “n.”
> `i=` | Specifies “y” if the export program (`p=`) requires a prepass to count records. The default value is “n.”
> `l=` | Specifies a label for the export format. This label represents the format in Results.
> `p=` | Specifies the name of the procedure that generates the export. Results currently supports the following export procedures: `e-pro` Progress export procedure `e-ascii` ASCII export procedure `e-dif` DIF export procedure `e-sylk` SYLK export procedure The `u-export.p` procedure is a sample export procedure. See Chapter 3, "Programming Results," for more information about this procedure.
> `t=` | Specifies a name for the export format. Results uses this name to manage the format, so the name must be unique.

> The following excerpt from the `result.l` file shows some export format definitions:

>     export[1]= "t=PROGRESS|p=e-pro|2=32,13,10|3=34|4=32|l=PROGRESS Export"
>     export[2]= "t=ASCII|p=e-ascii|2=13,10|3=34|4=44|l=Generic ASCII"
>     export[3]= "t=ASCII-H|p=e-ascii|h=y|2=13,10|3=34|4=44|l=ASCII w/headers"
>     export[11]= "t=DIF|p=e-dif|l=DIF (w/dates as strings)"
>     export[15]= "t=SYLK|p=e-sylk|l=SYLK"

Copyright © 2005 Progress Software Corporation www.progress.com Voice: (781) 280-4000 Fax: (781) 280-4095